/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.stringfuncs.specialchars;

import pl.chyla.wyjec.core.FunctionSignature;
import pl.chyla.wyjec.core.Parameter;
import pl.chyla.wyjec.core.functions.StringFunction;
import pl.chyla.wyjec.utils.RawString;


/**
 * Returns "{" character. This function exists because "{" character can't be used in Wyjec
 * string literals.
 *
 * @wyjec.func lcurly
 * @wyjec.example "{lcurly}" "{" string
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class FnLCurly extends StringFunction {

    private static final FunctionSignature signature = new FunctionSignature(
        new Parameter[] {}, null);

    public FunctionSignature getSignature() {
        return signature;
    }

    public String getName() {
        return "lcurly";
    }

    protected void execute(RawString result) {
        result.append('{');
    }

}
